Start an OAuth authorization (redirects to the dashboard consent page)
curl --request GET \
--url https://api.shoppex.io/dev/v1/oauth/authorize \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/oauth/authorize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/oauth/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/oauth/authorize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Location: https://dashboard.shoppex.io/oauth/authorize?response_type=code&client_id=shoc_demo&redirect_uri=https%3A%2F%2Ferp.example.com%2Fcallback&scope=orders.read&state=state_1Account & Auth
Start an OAuth authorization (redirects to the dashboard consent page)
Developer API operation for GET /dev/v1/oauth/authorize.
GET
/
dev
/
v1
/
oauth
/
authorize
Start an OAuth authorization (redirects to the dashboard consent page)
1Authorizations
Use your Shoppex API key in the Authorization header.
Query Parameters
Required string length:
1 - 2048Required string length:
1 - 2048Maximum string length:
4096Maximum string length:
512Maximum string length:
256Maximum string length:
16Maximum string length:
2048Response
Successful response